<?php

/*
  PHP version 5
  Copyright (c) 2002-2018 ECISP.CN、EarcLink.COM
  警告：这不是一个免费的软件，请在许可范围内使用，请尊重知识产权，侵权必究，举报有奖
  作者：黄祥云 E-mail:6326420@qq.com  QQ:6326420 TEL:18665655030 / 13797552220
*/



use admin_application\AdminPublicDB;
use admin_application\link\MenuLink;

class lib_lngselect {

	public static function call_lngselect($parameter, $filename = 'lib_lngselect', $outHTML = null) {
		global $espcms_command;
		$espcms_admin_templates = espcms_admin_template();
		$espcms_admin_templates->libfile = true;

		$lan_array = AdminPublicDB::get_lan_list($espcms_command['DEFAULT_LNG'], false, false, true);
		$espcms_admin_templates->into('lan_array', $lan_array);
		if (!empty($outHTML)) {
			$output = $espcms_admin_templates->fetch(null, null, $outHTML);
		} else {
			$output = $espcms_admin_templates->fetch('public/' . $filename);
		}
		return $output;
	}

}
